[> Documentation-Index](index.md) [> Implementation Guide](implementation-overview.md)

# HbbTV Sample App
<sub>Implementation Guideline</sub>

## 2. Adding the smartclientcore
The <span style="color:#E4002B">smartclient**core**</span> is provided as a JavaScript file `smartclientcore.min.js` 
that can be used in two ways:
- As a module using ES6 import  
 `import smartclientcore from 'vendor_modules/smartclip/smartclientcore.min';`
- As a global object by adding the file to the video player's page  
 `<script type="text/javascript" src="vendor_modules/smartclip/smartclientcore.min.js"></script>`

<span class="box box--sushi">_Details about importing the smartclient**core** can be found in 
the latest core documentation under `vendor_modules/smartclip/docs`._</span>

For the sake of convenience the **sample app** uses the second approach by putting the advertising library before the player API source file. 

```diff
--- index.html
+++ index.html

+	<script type="text/javascript" crossorigin="anonymous" src="vendor_modules/smartclip/smartclientcore.min.js"></script>
 	<script type="text/javascript" crossorigin="anonymous" src="js/main.js"></script>
```
<sub>Extract from the _index.html_ :: Adding the <span style="color:#E4002B">smartclient**core**</span></sub>


Next: [Safeguarding the Video Player](implementation-player-facade.md)  
Prev: [Player Prerequisites](implementation-preparation.md)  
Top: [Implementation Guide Overview](implementation-overview.md)
