[> Documentation-Index](index.md)

# HbbTV Sample App
## Implementation Guideline

<sub>_Applies to: HbbTV Applications build with HTML5 or CE-HTML_  
_Last Modified on 2020-06-24T16:45:08.649Z_</sub>

This guide walks you through the **main components** that are required to deliver video ads:
- **Player API** - An interface that enables access to load and play out a specified video source. Certainly your HbbTV already includes 
a Video Player that can be controlled through JavaScript. Otherwise you should set this up first 
as illustrated in the [Player Prerequesites](implementation-preparation.md#starting-from-scratch).
- **Player Facade** - Another interface that maps calls from the <span style="color:#E4002B">smartclient**core**</span> to the Player API.
It requests the video player to load and play out video ad sources and requests status updates.
- **Ad Controller** - An Object that initializes the advertising logic, requests ad breaks and handles ad events.

### Step-by-Step
1. [Preparation Tasks - Player API](implementation-preparation.md)
2. [Installing](implementation-installing.md)
3. [Safeguarding the Video Player - Player Facade](implementation-player-facade.md)
4. [Creating an Ad Controller](implementation-ad-controller.md)
5. [Initializing an Ad Break](implementation-initialization.md)
