# HbbTV Sample App

<sub>_Applies to: HbbTV Applications build with HTML5 or CE-HTML_  
_Last Modified on 2020-06-24T16:45:08.649Z_</sub>


We have put together a simple HbbTV app to illustrate the basic use of the 
<span style="color:#E4002B">smartclient**core**</span> JavaScript library on SmartTVs.

On the next pages we are going to demonstrate how to integrate the library 
and request ads at any point during the playback of the content.

### Table of contents
- [Implementation Guide](implementation-overview.md)
  - [Preparation Tasks](implementation-preparation.md)
  - [Installing](implementation-installing.md)
  - [Safeguarding the Video Player](implementation-player-facade.md)
  - [Creating an Ad Controller](implementation-ad-controller.md)
  - [Initializing an Ad Break](implementation-initialization.md)


### What is in the package

Project files:
- _index.html_ - Sample HbbTV App
- **assets/**
  - _preview.css_ - Video Player and UI style specs.
  - _SC_Logo_Horizontal_Small_White.svg_
- **docs/**
  - _index.md_ - This file.
  - _implementation-*.md_ - Implementation Guide for the Sample HbbTV App
- **js/**
  - _adController.js_ - Advertising initialization and scheduling
  - _ceHtmlFacade.js_ - Player facade for the <span style="color:#E4002B">smartclient**core**</span>.
  - _main.js_ - Basic Video Player logic
- **vendor_modules/**
  - **bluebird/**
    - _bluebird.js_- [A promise library](http://bluebirdjs.com) released under the [MIT license](https://github.com/petkaantonov/bluebird/blob/master/LICENSE).
  - **smartclip/**
    - _CHANGELOG.md_
    - _FacadeBase.js_ - Player facade interface definition in ES6.
    - _smartclientcore.min.js_ - Download from [smartclip's SDK page](https://sdk.smartclip.net/smartclientcore/)
    - **docs/**
      - _index.md_ - API and setup documentation.
      - ...


Next: [Implementation Guide](implementation-overview.md)
