# smartClientCore - Bypassing Ad-Blockers with HOMAD

The add-on has been extended with the **HOMAD HTML5 solution** to help bypassing ad-blockers. In order to
detect and circumvent user identification and ad blocking software in time, the add-on intercepts
the player initialization and connects with the HOMAD server as a very first step. 
Ad-request will be immediately redirected to HOMAD once they get blocked for any reason.

The add-on comes with a HOMAD test-setup that must not be used in production.
**Please consult smartclip to get the following steps done and tested before deploying.**

##Configure your DNS entries per Client URL	
```
Source: HOMAD HTML5 - Setup DNS Configuration
===============================================================
*.1.damoh.[EXAMPLE.COM] --> 1.examplecom.damoh.schneevonmorgen.com
*.2.damoh.[EXAMPLE.COM] --> 2.examplecom.damoh.schneevonmorgen.com
*.3.damoh.[EXAMPLE.COM] --> 3.examplecom.damoh.schneevonmorgen.com
```

##Get your JSON client configuration files
```
Source: HOMAD HTML5 - Setup the Configuration Files
===============================================================
homadConfig[YOUR URL].json
homadConfig[YOUR URL]-TEST.json
```

##Add the JSON to the [Global Configuration](setup.md#global-config)

Open the file(s) and extend the add-on [Global Config](setup.md#global-config) with a new property `homadClientConfig` that receives the JSON object.
Alternatively upload the file(s) to the client server that loads the video player and request it at runtime.
 
```diff
Example: Video Player advertising setup
===============================================================
--- config.js
+++ config.js

	globalConfig = {
		//...
		
+		homadClientConfig: {
+			"enabled":true,
+			"server":[
+				"http://[hash].1.damoh.[EXAMPLE.COM]/",
+				"http://[hash].2.damoh.[EXAMPLE.COM]/",
+				"http://[hash].3.damoh.[EXAMPLE.COM]/"
+			],
+			"alias":"youralias",
+			"adpath":"",
+			"config":"http://s3.amazonaws.com/homad-global-configs.schneevonmorgen.com/www.test.de/config.json"
+		},
+		// or...
+		//homadClientConfig: 'path-to/homadConfig[YOUR URL].json'
		
	};
```
